跳到主要内容

组织 Pull Request列表

GET 

/api/v5/org/:org/pull_requests

Request​

Path Parameters

    org stringrequired

    org(path/login)

Query Parameters

    access_token string

    用户授权码

    state string

    可选。Pull Request状态,all,所有,open:开启,closed:关闭,merged:合并

    sort string

    可选。排序字段,创建时间:created,更新时间:updated。默认按创建时间

    direction string

    可选。升序:asc,降序:desc

    page integer

    当前的页码:默认为 1

    per_page string

    每页数量:默认20

    base string

    目标分支

    author string

    pull request作者

    search string

    根据 title、description 模糊查询

    created_after string

    返回在指定时间之后创建的合并请求,要求时间格式为 ISO 8601 例如:2024-11-20T13:00:21+08:00

    created_before string

    返回在指定时间之前创建的合并请求,要求时间格式为 ISO 8601 例如:2024-11-20T13:00:21+08:00

    updated_before string

    返回在指定时间之前更新的合并请求,要求时间格式为 ISO 8601 例如:2024-11-20T13:00:21+08:00

    updated_after string

    返回在指定时间之后更新的合并请求,要求时间格式为 ISO 8601 例如:2024-11-20T13:00:21+08:00

    scope string

    可选。all,所有;created_by_me,我创建的;assigned_to_me,分配给我的;need_my_approve,需要我审查的;need_my_review,需要我评审的。

Responses​

成功响应

Response Headers
    Schema
    • Array [
    • idinteger
      urlstring
      html_urlstring
      numberinteger
      statestring
      assignees_numberinteger
      testers_numberinteger
      assignees object[]
    • Array [
    • object
    • ]
    • testers object[]
    • Array [
    • object
    • ]
    • mergeablenull
      can_merge_checkinteger
      head object
      refstring
      shastring
      repo object
      pathstring
      name_space object
      pathstring
      assigner object
      idstring
      loginstring
      namestring
      base object
      refnull
      shanull
      repo object
      pathstring
      name_space object
      pathstring
      visibility_reasonstring

      可见性,public:公开可见,other:仅项目成员可见

      merged_by object

      合并人

      idstringrequired
      loginstringrequired
      namestringrequired
      avatar_urlstringrequired
      html_urlstringrequired
      labels object[]
    • Array [
    • idinteger
      namestring
      colorstring
      created_atstring
      updated_atstring

      label添加时间

    • ]
    • ]